Bug 1297565 - [cloud-init] ca-certs does not work on fedora
[cloud-init] ca-certs does not work on fedora
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 16:43 EST by Aleksandar Kostadinov
Modified: 2016-07-06 22:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-06 22:26:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1599694 None None None 2016-07-06 22:26 EDT

  None (edit)
Description Aleksandar Kostadinov 2016-01-11 16:43:33 EST
Description of problem:
I see no effect using ca-certs directive when run on fedora. I'd expect certs to be added to /etc/pki/ca-trust/source/anchors/ca.crt and then run:
update-ca-trust check
update-ca-trust enable
update-ca-trust extract

Or something along these lines. I can see actually nothing happening with the certs. It is very useful for adding private certificates.
Comment 1 Jan Kurik 2016-02-24 09:15:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Garrett Holmstrom 2016-07-06 22:26:04 EDT
At the moment that module uses debconf to manage certificates, meaning making it work on Fedora will more or less require a completely new implementation.  Let's track this feature request upstream:  https://bugs.launchpad.net/cloud-init/+bug/1599694

Note You need to log in before you can comment on or make changes to this bug.